## ruby-netcdf 0.5.3

=== ruby-netcdf-0.5.3/Makefile ===
SHELL = /bin/sh
#### Start of system configuration section. ####
srcdir = .
topdir = $(rubylibdir)/$(arch)
hdrdir = $(rubylibdir)/$(arch)
VPATH = $(srcdir)
CC = gcc
CFLAGS   = -fPIC -g -O2 -fPIC 
CPPFLAGS = -I. -I$(hdrdir) -I$(srcdir) -I$(prefix)/include -DHAVE_NARRAY_H -DHAVE_NARRAY_CONFIG_H -DHAVE_NETCDF_H   -I/usr/local/lib/ruby/site_ruby/1.8/i686-linux/ -I/usr/local/include
CXXFLAGS = $(CFLAGS)
DLDFLAGS =  -L$(sitelibdir)/$(arch) -L/usr/local/lib -L$(exec_prefix)/lib 
LDSHARED = gcc -shared 
LIBPATH = 
RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = 
arch = i386-linux
ruby_version = 1.6

prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
libdir = $(exec_prefix)/lib
rubylibdir = $(libdir)/ruby/$(ruby_version)
archdir = $(rubylibdir)/$(arch)
sitedir = $(prefix)/local/lib/site_ruby
sitelibdir = $(sitedir)/$(ruby_version)
sitearchdir = $(sitelibdir)/$(arch)
target_prefix = /numru
#### End of system configuration section. ####
LOCAL_LIBS =  
LIBS = -L. -l$(RUBY_INSTALL_NAME) -lnetcdf -lc
OBJS = netcdfraw.o
TARGET = netcdfraw
DLLIB = $(TARGET).so
RUBY = ruby
RM = $(RUBY) -rftools -e "File::rm_f(*ARGV.map{|x|Dir[x]}.flatten.uniq)"
EXEEXT = 
all:		$(DLLIB)

test: all
		@cd test && ruby test.rb && echo 'test did not fail :-p (please ignore the warnings)' && cd ..
clean:;		@$(RM) *.o *.so *.sl *.a $(DLLIB)
		@$(RM) $(TARGET).lib $(TARGET).exp $(TARGET).ilk *.pdb $(CLEANFILES)
distclean:	clean
		@$(RM) *.nc demo/*.nc demo/*~ lib/*~ doc/*~ test/*.nc test/*~ Makefile.orig
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
realclean:	distclean
install:	$(archdir)$(target_prefix)/$(DLLIB)
site-install:	$(sitearchdir)$(target_prefix)/$(DLLIB)
$(archdir)$(target_prefix)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(rubylibdir) $(archdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(archdir)$(target_prefix)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(rubylibdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/netcdf_miss.rb $(rubylibdir)$(target_prefix)/
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/netcdf.rb $(rubylibdir)$(target_prefix)/

$(sitearchdir)$(target_prefix)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(sitearchdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(sitearchdir)$(target_prefix)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(sitelibdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/netcdf_miss.rb $(sitelibdir)$(target_prefix)/
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/netcdf.rb $(sitelibdir)$(target_prefix)/


.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
$(DLLIB): $(OBJS)
	$(LDSHARED) $(DLDFLAGS) -o $(DLLIB) $(OBJS) $(LIBS) $(LOCAL_LIBS)

## ruby-netcdf 0.6.2

=== Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = $(rubylibdir)/$(arch)
hdrdir = $(rubylibdir)/$(arch)
VPATH = $(srcdir)
prefix = $(DESTDIR)/usr/local
exec_prefix = $(prefix)
sitedir = $(prefix)/lib/ruby/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
builddir = $(ac_builddir)
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
compile_dir = $(DESTDIR)/am/murwork/horinout/pub/Ruby/ruby-1.8.1
datadir = $(prefix)/share
includedir = $(prefix)/include
infodir = $(prefix)/info
top_builddir = $(ac_top_builddir)
sysconfdir = $(prefix)/etc
mandir = $(prefix)/man
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(prefix)/var
sitelibdir = $(sitedir)/$(ruby_version)
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = $(LIBRUBY_A)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = 
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

CFLAGS   =  -fPIC -g -O2 -I/usr/local/include  
CPPFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir) -DHAVE_NARRAY_H -DHAVE_NARRAY_CONFIG_H -I/usr/local/include -I$(sitelibdir)/$(sitearch) 
CXXFLAGS = $(CFLAGS) 
DLDFLAGS =   
LDSHARED = g++ -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = $(RUBY_INSTALL_NAME)
arch = i686-linux
sitearch = i686-linux
ruby_version = 1.8
RUBY = ruby
RM = $(RUBY) -run -e rm -- -f
MAKEDIRS = $(RUBY) -run -e mkdir -- -p
INSTALL_PROG = $(RUBY) -run -e install -- -vpm 0755
INSTALL_DATA = $(RUBY) -run -e install -- -vpm 0644

#### End of system configuration section. ####


LIBPATH =  -L"$(libdir)" -L"$(sitelibdir)/$(sitearch)" -L"/usr/local/lib"
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

target_prefix = /numru
LOCAL_LIBS =  -L/usr/local/lib -lnc-dods -ldap++ -lnc-dods -ldap++ -L/usr/local/lib -lxml2 -L/usr/local/lib -lz -lpthread -lm -L/usr/local/lib -lcurl -static -lssl -lcrypto -ldl -lz  -lpthread -lz 
LIBS =  -lnc-dods  -ldl -lcrypt -lm   
OBJS = netcdfraw.o
TARGET = netcdfraw
DLLIB = $(TARGET).so
STATIC_LIB = $(TARGET).a

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

CLEANLIBS     = "$(TARGET).{lib,exp,il?,tds,map}" $(DLLIB)
CLEANOBJS     = "*.{o,a,s[ol],pdb,bak}"

all:		$(DLLIB)

test: all
		@cd test && ruby test.rb && echo 'test did not fail :-p (please ignore the warnings)' && cd ..
static:		$(STATIC_LIB)

clean:
		@$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@$(RM) *.nc demo/*.nc demo/*~ lib/*~ doc/*~ test/*.nc test/*~ Makefile.orig
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: $(RUBYARCHDIR)
install: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB) $(RUBYARCHDIR)
	@$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install: $(RUBYLIBDIR)
install: $(RUBYLIBDIR)/netcdf.rb
$(RUBYLIBDIR)/netcdf.rb: $(srcdir)/lib/netcdf.rb $(RUBYLIBDIR)/
	@$(INSTALL_DATA) $(srcdir)/lib/netcdf.rb $(RUBYLIBDIR)/
install: $(RUBYLIBDIR)/netcdf_miss.rb
$(RUBYLIBDIR)/netcdf_miss.rb: $(srcdir)/lib/netcdf_miss.rb $(RUBYLIBDIR)/
	@$(INSTALL_DATA) $(srcdir)/lib/netcdf_miss.rb $(RUBYLIBDIR)/
$(RUBYARCHDIR):
	@$(MAKEDIRS) $(RUBYARCHDIR)
$(RUBYLIBDIR):
	@$(MAKEDIRS) $(RUBYLIBDIR)

site-install: install

.SUFFIXES: .c .cc .m .cxx .cpp .C .o

.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) $(DLDFLAGS) $(LIBPATH) -o $(DLLIB) $(OBJS) $(LOCAL_LIBS) $(LIBS)

$(STATIC_LIB): $(OBJS)
	$(AR) cru $@ $(OBJS)
	@-ranlib $(DLLIB) 2> /dev/null || true

## ruby-netcdf 0.6.4

=== debian/changelog ===
ruby-netcdf (0.6.4-1) unstable; urgency=low

  * Initial Release (Closes: #542144)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Dec 2010 17:35:12 +0900

=== debian/control ===
Source: ruby-netcdf
Section: ruby
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~ ), ruby-pkg-tools, quilt,
  libnetcdf-dev, 
  libnarray-ruby1.8, libnarray-miss-ruby1.8, ruby1.8-dev, 
  libnarray-ruby1.9.1, libnarray-miss-ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/pkg-grass/ruby-netcdf.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/ruby-netcdf.git
Homepage: http://ruby.gfd-dennou.org/products/ruby-netcdf

Package: netcdf-ruby
Architecture: any
Depends: netcdf-ruby1.8, ${misc:Depends}
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package is dependency package, which depends on Debian's default
 Ruby version(currently 1.8.x).

Package: netcdf-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnarray-miss-ruby1.8
Suggests: netcdf-bin
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package is built for Ruby 1.8.

Package: netcdf-ruby1.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: netcdf-ruby1.8 (=${binary:Version}), ${misc:Depends}
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package is built for Ruby 1.8.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: netcdf-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 ruby1.9.1, libnarray-miss-ruby1.9.1
Suggests: netcdf-bin
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package is built for Ruby 1.9.1

Package: netcdf-ruby1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: netcdf-ruby1.9.1 ( =${binary:Version}), ${misc:Depends}
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package is built for Ruby 1.9.1
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: netcdf-ruby-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documents and example scripts of netcdf-ruby
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray library,
 which is an efficient multi-dimensional numeric array class for Ruby.
 .
 This package provides all API documents and example scripts

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-common.mk


NETCDF_RUBY_VERSIONS= 1.8 1.9.1
LIB_PACKAGE_FILTER = %-ruby $(patsubst %,\%-ruby%,$(NETCDF_RUBY_VERSIONS))
DEB_AUTO_CLEANUP_RCS := yes
DEB_RUBY_SETUP_CMD = extconf.rb
DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
install_docs := doc/*.rd doc/*.html
DEB_INSTALL_DOCS_netcdf-ruby1.8:= $(install_docs)
DEB_INSTALL_DOCS_netcdf-ruby1.9.1:= $(install_docs)
cdbs_pkgdir = $(CURDIR)/debian/$(cdbs_curpkg)
cdbs_ruby_libdir_ver = $(cdbs_pkgdir)$(DEB_RUBY_LIBDIR)
cdbs_ruby_archdir_ver = $(cdbs_pkgdir)$(DEB_RUBY_ARCHDIR)
DEB_RUBY_INSTALL_ARGS = DESTDIR=$(cdbs_pkgdir) \
	sitelibdir=$(cdbs_ruby_libdir_ver) \
        sitearchdir=$(cdbs_ruby_archdir_ver)

$(patsubst %,install/%,$(DEB_RUBY_REAL_LIB_PACKAGES)) :: install/% :
	cd $(DEB_SRCDIR) 
	[ ! -f Makefile ] || $(MAKE) distclean
	/usr/bin/ruby$(cdbs_ruby_ver) $(DEB_RUBY_SETUP_RUBY_ARGS) $(DEB_RUBY_SETUP_CMD) $(DEB_RUBY_SETUP_ARGS)
	CDBS_RUBY_VER=$(cdbs_ruby_ver) $(MAKE)
	$(MAKE) install $(DEB_RUBY_INSTALL_ARGS)


clean::
	-[ ! -f Makefile ] || $(MAKE) distclean
	-[ ! -f test/test.nc ] || rm -f test/test.nc
	-[ ! -d lib/numru ] || rm -rf lib/numru
	-rm -f debian/*.log

## ruby-netcdf 0.6.5

=== debian/changelog ===
ruby-netcdf (0.6.5-3) unstable; urgency=low

  * Drop libnarray-rubyX.X in Build-Depends
  * Change narray dir: archdir to vendorarchdir(Closes: Bug#628257)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 30 May 2011 06:59:43 +0900

ruby-netcdf (0.6.5-2) unstable; urgency=low

  * Bump standard-version: 3.9.2
  * Update with files generated by dh-make-ruby:
    - debian/rules
    - debian/watch
  * Updating the package as for the new Ruby practices
    - Renaming binary package to ruby-netcdf, ruby-netcdf-dbg
    - Migrate to gem2deb
      - removed build dependency on cdbs and ruby-pkg-tools
    - Added XS-Ruby-Versions field to debian/control
  * debian/source/format: using '3.0 (quilt)'
  * Added transitional packages in debian/control to allow smooth upgrades
    from Squeeze.
    - ruby-netcdf Provides, Replaces and Conflicts with past packages
      - netcdf-ruby, netcdf-ruby1.8, netcdf-ruby1.9.1
        netcdf-ruby1.8-dbg, netcdf-ruby1.9.1-dbg

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 28 Apr 2011 20:57:04 +0900

ruby-netcdf (0.6.5-1) unstable; urgency=low

  * Initial Release (Closes: #542144)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 13 Dec 2010 17:35:12 +0900

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --buildsystem ruby --with ruby

override_dh_strip:
	dh_strip --dbg-package=ruby-netcdf-dbg

override_dh_installchangelogs:
	dh_installchangelogs -A ChangeLog

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-netcdf/ ruby-netcdf-(0\.6\..*)\.tar\.gz

## ruby-netcdf 0.6.6

=== debian/changelog ===
ruby-netcdf (0.6.6-2) unstable; urgency=medium

  * Bump Standard Version: 3.9.5
  * Use canonical Vcs-* field
  * Drop obsolete DM-permission entry
  * Drop Transitional Packages
  * Update copyright foramt/1.0
  * Update debian/compat: 9
  * Drop old lintian-overrides

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 20 Jan 2014 00:38:07 +0900

ruby-netcdf (0.6.6-1) unstable; urgency=low

  * New Upstream version 0.6.6
  * Update watch
  * Add unapply-patches to debian/sources/local-options
  * Update patches: for gbp-pq
  * Rebuild against new NetCDF packages
  * New patch 0004-Fix-FTBFS-Hardening.patch (Closes: #676195)
    - Thanks to Lucas Nussbaum!
  * Add lintian-overrides for transitonal packages
  * Add lintian-overrides: hardening-no-fortify-functions

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 12 Jun 2012 18:51:13 +0900

=== debian/control ===
Source: ruby-netcdf
Section: ruby
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9~ ),
  gem2deb, rake, ruby-narray, ruby-narray-miss, libnetcdf-dev
Standards-Version: 3.9.5
XS-Ruby-Versions: all
Vcs-Git: git://anonscm.debian.org/pkg-grass/ruby-netcdf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/ruby-netcdf.git
Homepage: http://ruby.gfd-dennou.org/products/ruby-netcdf

Package: ruby-netcdf
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray, ruby-narray-miss
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray
 library, which is an efficient multi-dimensional numeric array class
 for Ruby.

Package: ruby-netcdf-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ruby-netcdf ( =${binary:Version}), ${misc:Depends}
Description: Ruby-NetCDF debug symbols
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray
 library, which is an efficient multi-dimensional numeric array class
 for Ruby.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 
 %:
 	dh $@ --buildsystem ruby --with ruby
@@ -10,3 +9,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -A ChangeLog
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $(CURDIR)/test.nc

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-netcdf/release/ ruby-netcdf-(0\.6\..*)\.tar\.gz

## ruby-netcdf 0.7.1.1

=== debian/changelog ===
ruby-netcdf (0.7.1.1-7) unstable; urgency=medium

  * Remove dbg package
  * Add patch: fix spelling error
  * Fix lintian warning: vcs-field-uses-insecure-uri
  * Rebuild against Ruby 2.3
  * Bump Standard Version: 3.9.7

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 01 Mar 2016 18:02:08 +0900

ruby-netcdf (0.7.1.1-6) unstable; urgency=medium

  * Add patch: Replace git execution from gemspec

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 07 Dec 2015 02:19:35 +0900

ruby-netcdf (0.7.1.1-5) unstable; urgency=medium

  * Update debian/changelog
  * Refresh patch: fix location of netcdf_miss.rb
  * Drop obsolete lintian-overrides: thanks to Sebastiaan Couwenberg

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 02 Sep 2015 21:20:50 +0900

ruby-netcdf (0.7.1.1-4) unstable; urgency=medium

  * Add lintian overrides for wheezy backports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 27 Aug 2015 19:54:31 +0900

ruby-netcdf (0.7.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update copyright file, rename license shortnames:
    - GPL-2.0+ -> GPL-2+
    - Ruby's   -> Ruby
  * Rebuild for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 15:51:17 +0200

ruby-netcdf (0.7.1.1-2) unstable; urgency=medium

  * Add patch: to support NetCDF 4.4.0-rc version
    Thanks to Bas Couwenberg!

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 31 Jul 2015 12:05:12 +0900

ruby-netcdf (0.7.1.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme.

  [ Youhei SASAKI ]
  * Update debian/watch: use gemwatch
  * Imported Upstream version 0.7.1.1 (Closes: #793976)
    - Thanks to Bas Couwenberg!
  * Running all tests during build
  * Refresh patches
  * Install "demo", "bin" as examples

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 30 Jul 2015 19:23:10 +0900

=== debian/control ===
Source: ruby-netcdf
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Section: ruby
Priority: optional
Build-Depends: debhelper (>= 9~),
               gem2deb,
               rake,
               ruby-narray,
               ruby-narray-miss,
               libnetcdf-dev,
               netcdf-bin
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ruby-netcdf.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-grass/ruby-netcdf.git
Homepage: http://ruby.gfd-dennou.org/products/ruby-netcdf
XS-Ruby-Versions: all

Package: ruby-netcdf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ruby-narray,
         ruby-narray-miss
Description: Ruby interface of netCDF library
 RubyNetCDF is a Ruby interface of netCDF library built on the NArray
 library, which is an efficient multi-dimensional numeric array class
 for Ruby.
XB-Ruby-Versions: ${ruby:Versions}

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	rm -fr $(CURDIR)/debian/ruby-netcdf/usr/bin

override_dh_installchangelogs:
	dh_installchangelogs -A ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/ext/numru/Makefile
	rm -f $(CURDIR)/ext/numru/netcdfraw.o
	rm -f $(CURDIR)/ext/numru/netcdfraw.so
	rm -f $(CURDIR)/ext/numru/.RUBY*
	rm -f $(CURDIR)/*.nc

## ruby-netcdf 0.7.2

=== debian/changelog ===
ruby-netcdf (0.7.2-3build3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 27 Feb 2020 21:29:14 +0000

ruby-netcdf (0.7.2-3build2) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:02:19 +0100

ruby-netcdf (0.7.2-3build1) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 12:09:50 +0100

ruby-netcdf (0.7.2-3) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
    (Closes: #905122)
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:17:24 +0200

ruby-netcdf (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add autopkgtest to test installability.
  * Update watch file to use gemwatch.debian.net.
  * Enable all hardening buildflags.
  * Add lintian override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jul 2018 19:38:31 +0200

ruby-netcdf (0.7.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix 'length' spelling error.

  [ Youhei SASAKI ]
  * New upstream version 0.7.2
  * Refresh patches
  * set DH_RUBY_GEMSPEC explicitly
  * Drop dh_installchangelogs: removed from upstream
  * Drop ruby-netcdf.examples: Drop bin/ from upstream

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 28 Sep 2016 16:04:29 +0900

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                ruby-narray-miss,
                libnetcdf-dev,
                netcdf-bin
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ruby-netcdf.git
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-grass/ruby-netcdf.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/ruby-netcdf
+Vcs-Git: https://salsa.debian.org/debian-gis-team/ruby-netcdf.git
 Homepage: http://ruby.gfd-dennou.org/products/ruby-netcdf
 XS-Ruby-Versions: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export DH_RUBY_GEMSPEC = ruby-netcdf.gemspec
 
 %:
 	dh $@ --buildsystem ruby --with ruby
@@ -7,9 +12,6 @@
 	dh_auto_install
 	rm -fr $(CURDIR)/debian/ruby-netcdf/usr/bin
 
-override_dh_installchangelogs:
-	dh_installchangelogs -A ChangeLog
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(CURDIR)/ext/numru/Makefile

=== debian/watch ===
version=3
https://gemwatch.debian.net/ruby-netcdf .*/ruby-netcdf-(.*).tar.gz

## ruby-netcdf 0.8.0

=== debian/changelog ===
ruby-netcdf (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.
  * Add patch to fix spelling errors.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 20:29:41 +0100

ruby-netcdf (0.8.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.

  [ Youhei SASAKI ]
  * Skip clone test (Closes: #1015328)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 30 Sep 2022 16:03:36 +0900

ruby-netcdf (0.8.0-2) unstable; urgency=medium

  * Drop obeolete lintian-overrides
  * Rename patch
  * d/copyright:
    * Update year
    * Change lincense: BSD-2-Clause, follow upstream changes

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 01 Apr 2022 19:55:53 +0900

ruby-netcdf (0.8.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.0, no changes.
  * Rename salsa-ci.yml to .gitlab-ci.yml.

  [ Youhei SASAKI ]
  * Import upstream patch: Drop rb_secure, rb_safe_level
  * Add patch: use clone instead of dup (Closes: #996324)
  * New upstream version 0.8.0

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 01 Apr 2022 10:54:49 +0900

ruby-netcdf (0.7.2-5) unstable; urgency=medium

  * Import upstream change: Drop obsolete, rewrite test (Closes: #960977)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 May 2020 23:31:40 +0900

ruby-netcdf (0.7.2-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10.

  [ Youhei SASAKI ]
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Enable autopkgtest, salsa CI
  * d/control: Add Rules-Requires-Root: no

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 07 Apr 2020 23:40:54 +0900

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
 Section: ruby
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-ruby,
                gem2deb,
                rake,
                ruby-narray,
                ruby-narray-miss,
                libnetcdf-dev,
                netcdf-bin
-Standards-Version: 4.1.5
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/ruby-netcdf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/ruby-netcdf.git
 Homepage: http://ruby.gfd-dennou.org/products/ruby-netcdf
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: ruby-netcdf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DH_RUBY_GEMSPEC = ruby-netcdf.gemspec

%:
	dh $@ --buildsystem ruby

execute_after_dh_auto_install:
	rm -fr $(CURDIR)/debian/ruby-netcdf/usr/bin

=== debian/tests/control ===
Test-Command: gem2deb-test-runner --autopkgtest
Depends: @, @builddeps@, gem2deb-test-runner
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://gemwatch.debian.net/ruby-netcdf .*/ruby-netcdf-(.*).tar.gz
